/** Class for displaying the MessageCanvas as an Applet
    Author: Barb Ericson
    Java Version: 1.0+
*/
import java.awt.*;
import java.applet.Applet;

public class MessageApplet extends Applet
{

	/** method to initialize the applet */
	public void init()
	{
		// get the message passed as a parameter
		String message = getParameter("message");

		// create the message canvas
		MessageCanvas messageCanvas = new MessageCanvas(message);

		// create and add the message canvas
		add(messageCanvas);
		
	}
		
}