/*
 * 1.0 code.
 */

import java.applet.Applet;
import java.awt.*;

public class Simple extends Applet {

    TextArea textArea = new TextArea(20,80); // multi-line text display
    String buffer = "";			    // string to buffer

    public void init() {
	  add(textArea);			    // add text area to applet
        addItem("initializing... ");    // add item to buffer
    }

    public void start() {
        addItem("starting... ");		// add item to buffer
    }

    public void stop() {
        addItem("stopping... ");		// add item to buffer
    }

    public void destroy() {			// add item to buffer
        addItem("preparing for unloading...");
    }

    /** Method to add a string to the buffer and display in the text area */
    void addItem(String currString) {
        
        buffer = buffer + currString + "\n"; 	// force new line
	  textArea.setText(buffer);			// display buffer in text  area	
    }
}
