import javax.swing.*;
import java.awt.event.*;

public class ButtonPanel extends JPanel implements ActionListener
{
  
  ////////////////// fields ////////////////////////////
  private JButton quitButton = new JButton("Quit");
  
  //////////////// constructors /////////////////////////
  public ButtonPanel ()
  {
    add(quitButton);
    quitButton.addActionListener(this);
  }
  
  /////////////// methods ///////////////////////////
  
  /**
   * Method to handle when the button was pushed
   */
  public void actionPerformed(ActionEvent evt)
  {
    System.exit(0);  // exit the application
  }
  
  /**
   * Main method for testing
   */
  public static void main(String[] argv)
  {
    JFrame frame = new JFrame("ButtonPanel");
    frame.getContentPane().add(new ButtonPanel());
    frame.pack();
    frame.setVisible(true);
  }
}
