/** StepImagePanel - a panel lets the user step through the images using next and previous buttons */

import java.awt.*;
import java.awt.event.*;
import java.net.*;
import javax.swing.*;

public class StepImageApplet extends JApplet
{

	/******************* private attributes *******************/
	private String fileName = "stick";		// default file name
	private int numImages = 10;			// default number of images
	private URL baseURL = null;			// base URL for document
	
	/********************** public methods ********************/
	
	/** initialize the applet */
	public void init()
	{

		// get document base
		baseURL = getDocumentBase();	// directory of html page

		// if a file name was passed use it
		String passedFileName = getParameter("file");
		if (passedFileName != null)
			fileName = passedFileName;

		// if the number of images was passed use it
		String passedNum = getParameter("number");
		if (passedNum != null)
			numImages = Integer.parseInt(passedNum);

		// create step image panel and add to this applet
		StepImagePanel imagePanel = new StepImagePanel(baseURL,fileName,numImages);
		this.getContentPane().add(imagePanel);
	}
}