import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.net.*;

public class StepImageFrame extends JFrame {
  JPanel contentPane;
  BorderLayout borderLayout1 = new BorderLayout();
  private String fileName = "c:/appj/exercises/StepImageFrame12/jack";
  private int numImages = 9;

  //Construct the frame
  public StepImageFrame() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }

    // add the step image panel to the center of the border layout
    contentPane.add(new StepImagePanel(fileName,numImages));
  }

  //Component initialization
  private void jbInit() throws Exception  {
    contentPane = (JPanel) this.getContentPane();
    contentPane.setLayout(borderLayout1);
    this.setSize(new Dimension(400, 300));
    this.setTitle("StepImageFrame");
  }

  //Overridden so we can exit when window is closed
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }

  /* Main method for testing */
  public static void main(String argv[])
  {
    StepImageFrame frame = new StepImageFrame();
    frame.setVisible(true);
  }
}
