import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

public class ButtonPanel extends JPanel 
{
  
  ////////////////// fields ////////////////////////////
  private JButton quitButton = new JButton("Quit");
  private JButton changeButton = new JButton("Change");
  private static Color[] colorArray = {Color.black, Color.blue,
    Color.red, Color.green, Color.magenta, Color.cyan,
    Color.orange};
  private int colorIndex = 0;
  
  //////////////// constructors /////////////////////////
  public ButtonPanel ()
  {
    this.setLayout(new FlowLayout());
    add(quitButton);
    add(changeButton);
    quitButton.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt)
      {
        System.exit(0);
      }
    });
       
    changeButton.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt)
      {
        changeBackground();
      }
      });
        
      
  }
  
  /////////////// methods ///////////////////////////
  
 
  public void changeBackground()
  {
    setBackground(colorArray[colorIndex]);
    colorIndex++;
    if (colorIndex >= colorArray.length)
      colorIndex = 0; 
  }
  
  /**
   * Main method for testing
   */
  public static void main(String[] argv)
  {
    JFrame frame = new JFrame("ButtonPanel");
    frame.getContentPane().add(new ButtonPanel());
    frame.pack();
    frame.setVisible(true);
  }
}
