/*
 * File: BroccoliPart.java
 * -----------------------
 * This file defines an interface that describes parts of the
 * broccoli plant.
 */

import acm.graphics.*;

/*
 * BroccoliPart is an interface for pieces of broccoli.
 */
public interface BroccoliPart {

  // amount to move the broccoli part
  public void move(double x, double y);

  // whether a point is contained in the broccoli part
  public boolean contains(GPoint pt);
}
