import acm.program.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * This class displays three buttons at the south edge
 * of the window.  The name of a button is echoed 
 * on the console each time a button is pressed.
 */
public class StopLightConsole extends ConsoleProgram 
{
  
  /////////////// fields /////////////////////////
  private JButton redButton = new JButton("Red");
  private JButton greenButton = new JButton("Green");
  private JButton yellowButton = new JButton("Yellow");
  
  /**
   * Constructor 
   */
  public StopLightConsole()
  {
    add(greenButton,SOUTH);
//    greenButton.addActionListener(new ActionListener() {
//      public void actionPerformed(ActionEvent e)
//      {
//        printLabel("Green");
//      }
//    });
    add(yellowButton,SOUTH);
//    yellowButton.addActionListener(new ActionListener() {
//      public void actionPerformed(ActionEvent e)
//      {
//        printLabel("Yellow");
//      }
//    });
    add(redButton,SOUTH);
//    redButton.addActionListener(new ActionListener() {
//      public void actionPerformed(ActionEvent e)
//      {
//        printLabel("Red");
//      }
//    });
    addActionListeners();
  }
  
  /**
   * Listen for the button action
   */
  public void actionPerformed(ActionEvent e)
  {
    println(e.getActionCommand());
  }
  
  /**
   * main for testing as an application
   */
  public static void main(String[] args)
  {
    StopLightConsole console = new StopLightConsole();
    console.start();
  }
}